# getAny

inline fun < T : Any > ERROR CLASS: Symbol not found for Scope. getAny (): ERROR CLASS: Ambiguity: first, [kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/sequences/first, kotlin/text/first](source)

Retrieves the first available instance of type T from the current scope. This is useful when you need any instance of a type and don't care which one.

#### Return

The first available instance of type T

#### Type Parameters

T

The type of instance to retrieve

#### Throws

NoSuchElementException

if no instances of type T are available

inline fun < T : Any > ERROR CLASS: Symbol not found for Koin. getAny (): ERROR CLASS: Ambiguity: first, [kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/collections/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/ranges/first, kotlin/sequences/first, kotlin/text/first](source)

Retrieves the first available instance of type T from the Koin container. This is useful when you need any instance of a type and don't care which one.

#### Return

The first available instance of type T

#### Type Parameters

T

The type of instance to retrieve

#### Throws

NoSuchElementException

if no instances of type T are available